#!/bin/bash


# Start MASTERCTRL

export PYTHONPATH=$PYTHONPATH:lib

python masterctrl/masterctrl.py --config sample_data/master/master.config &
MASTERCTRL_PID="$!"

stat=$?
if [ $stat -ne  0 ]
then
  echo "Could not start master."
  exit 1
fi

# Start NODECTRL 

python nodectrl/nodectrl.py --config sample_data/node1/node.config &
NODECTRL1_PID="$!"
stat=$?
if [ $stat -ne 0 ]
then
  echo "Could not start node 1."
  kill 0
  exit 1
fi

python nodectrl/nodectrl.py --config sample_data/node2/node.config &
NODECTRL2_PID="$!"
stat=$?
if [ $stat -ne 0 ]
then
  echo "Could not start node 2."
  kill 0
  exit 1
fi

# Start REDIRECTOR

python redirector/redirector.py &
REDIRECTOR_PID="$!"
stat=$?
if [ $stat -ne 0 ]
then
  echo "Could not start redirector."
  kill 0
  exit 1
fi

echo "Master-PID: " $MASTERCTRL_PID
echo "Node1-PID  : " $NODECTRL1_PID
echo "Node2-PID  : " $NODECTRL2_PID
echo "Redirector-PID: " $REDIRECTOR_PID

trap "kill 0" SIGINT SIGTERM EXIT

wait

